#
# Xenomai Real-Time System
#
# Copyright (c) Siemens AG, 2018-2023
#
# Authors:
#  Jan Kiszka <jan.kiszka@siemens.com>
#
# SPDX-License-Identifier: MIT
#

header:
  version: 14

build_system: isar

distro: xenomai-demo
target: demo-image

repos:
  xenomai:

  isar:
    url: https://github.com/ilbers/isar.git
    commit: 853784cf1732c093acd537fbb1b0b1c54e6b59ff
    layers:
      meta:
    patches:
      01:
        repo: xenomai
        path: isar-patches/0001-dpkg-Restore-support-for-replacing-pre-installed-pac.patch

bblayers_conf_header:
  standard: |
    LCONF_VERSION = "6"
    BBPATH = "${TOPDIR}"
    BBFILES ?= ""

local_conf_header:
  standard: |
    CONF_VERSION = "1"
  cross: |
    ISAR_CROSS_COMPILE = "1"
  ccache: |
    USE_CCACHE = "1"

env:
  DISTRO_APT_PREMIRRORS: ""
